Skip to main content
`Ctrl`+`K`

# DMGetNumAuxiliaryVec

Get the number of auxiliary vectors associated with this `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetNumAuxiliaryVec(DM dm, PetscInt *numAux)

Not Collective

## Input Parameter

- dm - The `DM`

## Output Parameter

- numAux - The number of auxiliary data vectors

## See Also

DM Basics, `DM`, `DMClearAuxiliaryVec()`, `DMSetAuxiliaryVec()`, `DMGetAuxiliaryLabels()`, `DMGetAuxiliaryVec()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages